Skip to main content
PUT
/
v1
/
incident_form_field_selections
/
{id}
Update an incident form field selection
curl --request PUT \
  --url https://api.rootly.com/v1/incident_form_field_selections/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "incident_form_field_selections",
    "attributes": {
      "value": "<string>",
      "selected_catalog_entity_ids": [
        "<string>"
      ],
      "selected_group_ids": [
        "<string>"
      ],
      "selected_option_ids": [
        "<string>"
      ],
      "selected_service_ids": [
        "<string>"
      ],
      "selected_functionality_ids": [
        "<string>"
      ],
      "selected_user_ids": [
        123
      ],
      "selected_environment_ids": [
        "<string>"
      ],
      "selected_cause_ids": [
        "<string>"
      ],
      "selected_incident_type_ids": [
        "<string>"
      ]
    }
  }
}
'
{
  "data": {
    "id": "8ae5c4eb-4950-4311-ae5c-64a8d0c028ea",
    "type": "incident_form_field_selections",
    "attributes": {
      "incident_id": "6d15e5bc-7655-4626-87b8-b3c9b7d0cb32",
      "custom_field_id": 182,
      "form_field_id": "83180ef1-bd6f-42cb-9821-2255b216d4da",
      "form_field": {
        "id": "83180ef1-bd6f-42cb-9821-2255b216d4da",
        "team_id": 384,
        "slug": "dicta-quo-tempore-porro",
        "kind": "custom",
        "input_kind": "text",
        "value_kind": "inherit",
        "value_kind_catalog_id": null,
        "name": "Dicta quo tempore porro.",
        "description": "Quaerat necessitatibus occaecati doloremque.",
        "shown": [
          "web_new_incident_form",
          "web_update_incident_form"
        ],
        "required": [],
        "default_values": [],
        "show_on_incident_details": true,
        "enabled": true,
        "updated_at": "2026-02-22T23:49:42.211-08:00",
        "created_at": "2026-02-22T23:49:42.211-08:00",
        "options": [
          {
            "id": "9fd75f5c-02c4-4d7a-94e8-0f51133e4a61",
            "form_field_id": "83180ef1-bd6f-42cb-9821-2255b216d4da",
            "value": "Eligendi eveniet voluptate illo.",
            "color": "#FBE4A0",
            "default": false,
            "position": 1,
            "updated_at": "2026-02-22T23:49:42.262-08:00",
            "created_at": "2026-02-22T23:49:42.262-08:00"
          },
          {
            "id": "60a465e5-1a42-4e7f-bd18-b373162b7025",
            "form_field_id": "83180ef1-bd6f-42cb-9821-2255b216d4da",
            "value": "Praesentium id accusantium molestiae.",
            "color": "#FBE4A0",
            "default": false,
            "position": 2,
            "updated_at": "2026-02-22T23:49:42.266-08:00",
            "created_at": "2026-02-22T23:49:42.266-08:00"
          }
        ],
        "positions": [
          {
            "id": "af05d3c6-d298-4b93-963e-edac72fad27f",
            "form_field_id": "83180ef1-bd6f-42cb-9821-2255b216d4da",
            "form": "web_update_incident_form",
            "position": 1
          },
          {
            "id": "1a3dcf4b-1280-4b7e-9092-71d4309aa5a0",
            "form_field_id": "83180ef1-bd6f-42cb-9821-2255b216d4da",
            "form": "web_new_incident_form",
            "position": 1
          }
        ]
      },
      "value": "Test update custom field",
      "selected_group_ids": [],
      "selected_groups": {
        "id": null,
        "value": "Test update custom field"
      },
      "selected_option_ids": [],
      "selected_options": {
        "id": null,
        "value": "Test update custom field"
      },
      "selected_service_ids": [],
      "selected_services": {
        "id": null,
        "value": "Test update custom field"
      },
      "selected_functionality_ids": [],
      "selected_functionalities": {
        "id": null,
        "value": "Test update custom field"
      },
      "selected_catalog_entity_ids": [],
      "selected_catalog_entities": {
        "id": null,
        "value": "Test update custom field"
      },
      "selected_user_ids": [],
      "selected_users": {
        "id": null,
        "value": "Test update custom field"
      },
      "selected_environment_ids": [],
      "selected_environments": {
        "id": null,
        "value": "Test update custom field"
      },
      "selected_cause_ids": [],
      "selected_causes": {
        "id": null,
        "value": "Test update custom field"
      },
      "selected_incident_type_ids": [],
      "selected_incident_types": {
        "id": null,
        "value": "Test update custom field"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/vnd.api+json
data
object
required

Response

incident_form_field_selection updated

data
object
required